package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TradeMachineTypeEnum {
    TYPE_0("TYPE_0","风管机"),
    TYPE_1("TYPE_1","离心机"),
    TYPE_2("TYPE_2","螺杆机"),
    TYPE_3("TYPE_3","模块机"),
    TYPE_4("TYPE_4","多联机"),
    TYPE_5("TYPE_5","单元机"),
    TYPE_6("TYPE_6","末端"),
    TYPE_7("TYPE_7","特种机"),
    TYPE_8("TYPE_8","冷冻冷藏"),
    TYPE_9("TYPE_9","精密空调"),
    TYPE_10("TYPE_10","清洁热水"),
    TYPE_11("TYPE_11","户式机"),
    TYPE_12("TYPE_12","新风净化"),
    TYPE_13("TYPE_13","集成式冷站"),
    TYPE_14("TYPE_14","直膨式空调"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String value;
}
